Bug 753012 - Backlight control does not work in Fedora versions 16, 17, 18, 19. [NEEDINFO]
Backlight control does not work in Fedora versions 16, 17, 18, 19.
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
19
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-10 21:47 EST by Grzegorz Witkowski
Modified: 2014-05-10 11:36 EDT (History)
47 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-16 10:22:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
valent.turkovic: needinfo? (kernel-maint)


Attachments (Terms of Use)
xorg.conf with "EnableBrightness...." option included. (167 bytes, application/octet-stream)
2011-12-02 07:34 EST, Ankur Sinha (FranciscoD)
no flags Details
brightest backlight setting (833.54 KB, image/png)
2012-02-02 09:06 EST, Brent R Brian
no flags Details
dimmest backlight setting (835.80 KB, image/png)
2012-02-02 09:07 EST, Brent R Brian
no flags Details

  None (edit)
Description Grzegorz Witkowski 2011-11-10 21:47:41 EST
Description of problem:
The laptop screen backlight control does not work in Fedora 16.
When using Fn+light-up/down (right/left arrow) keys, you can see an icon appearing with moving slide indicating a display brightness change, but the actual brightness does not change at all.
Using System Settings > Screen > Brightness (slide) also does not work.

It was possible to resolve this issue in Fedora 15 by adding acpi_backlight=vendor acpi_osi=Linux kernel options in the grub.conf.
I tried to add them to /etc/default/grub in Fedora 16, but it does not seem to work at all.

Version-Release number of selected component (if applicable):

Acer Aspire 5742
----------------
00:00.0 Host bridge: Intel Corporation Core Processor DRAM Controller (rev 02)
00:02.0 VGA compatible controller: Intel Corporation Core Processor Integrated Graphics Controller (rev 02)
00:16.0 Communication controller: Intel Corporation 5 Series/3400 Series Chipset HECI Controller (rev 06)
00:1a.0 USB Controller: Intel Corporation 5 Series/3400 Series Chipset USB2 Enhanced Host Controller (rev 05)
00:1b.0 Audio device: Intel Corporation 5 Series/3400 Series Chipset High Definition Audio (rev 05)
00:1c.0 PCI bridge: Intel Corporation 5 Series/3400 Series Chipset PCI Express Root Port 1 (rev 05)
00:1c.1 PCI bridge: Intel Corporation 5 Series/3400 Series Chipset PCI Express Root Port 2 (rev 05)
00:1d.0 USB Controller: Intel Corporation 5 Series/3400 Series Chipset USB2 Enhanced Host Controller (rev 05)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev a5)
00:1f.0 ISA bridge: Intel Corporation Mobile 5 Series Chipset LPC Interface Controller (rev 05)
00:1f.2 SATA controller: Intel Corporation 5 Series/3400 Series Chipset 4 port SATA AHCI Controller (rev 05)
00:1f.3 SMBus: Intel Corporation 5 Series/3400 Series Chipset SMBus Controller (rev 05)
00:1f.6 Signal processing controller: Intel Corporation 5 Series/3400 Series Chipset Thermal Subsystem (rev 05)
01:00.0 Ethernet controller: Broadcom Corporation NetLink BCM57780 Gigabit Ethernet PCIe (rev 01)
02:00.0 Network controller: Broadcom Corporation BCM43225 802.11b/g/n (rev 01)
ff:00.0 Host bridge: Intel Corporation Core Processor QuickPath Architecture Generic Non-core Registers (rev 02)
ff:00.1 Host bridge: Intel Corporation Core Processor QuickPath Architecture System Address Decoder (rev 02)
ff:02.0 Host bridge: Intel Corporation Core Processor QPI Link 0 (rev 02)
ff:02.1 Host bridge: Intel Corporation Core Processor QPI Physical 0 (rev 02)
ff:02.2 Host bridge: Intel Corporation Core Processor Reserved (rev 02)
ff:02.3 Host bridge: Intel Corporation Core Processor Reserved (rev 02)

Linux aspire.localdomain 3.1.0-7.fc16.x86_64 #1 SMP Tue Nov 1 21:10:48 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux
grub2-1.99-12.fc16.x86_64
gnome-shell-3.2.1-2.fc16.x86_64
acpid-2.0.11-1.fc16.x86_64

How reproducible:
Try to change display brightness using function keys or system settings.

Expected results:
Permanently fix the laptop screen brightness control.

Additional info:
The rest of the function keys seem to work as expected.
Volume control with Fn+volume-up/down(up/down arrows) - O.K.
Fn+F8(mute) - O.K.
Fn+PgUp(stop) - O.K.
Fn+Home(play/pause) - O.K.
Fn+PgDn(previous) - O.K.
Fn+End(next) - O.K.
Comment 1 zachw 2011-11-15 07:31:04 EST
might be the same as this one
http://forums.fedoraforum.org/showthread.php?t=272500
Comment 2 Ankur Sinha (FranciscoD) 2011-11-15 12:15:01 EST
Hi,

I've encountered the same issue. Neither the function keys, nor the system programs (such as display in gnome3) change my backlight. I've even tried echoing values to /sys/class/backlight/acpi_video0/brightness, but the brightness doesn't change. 

I even tried the fedoraforum link given above. I've reinstalled bash, but it didn't fix the backlight issue. 

If you need any more info, please ping me :)

Thanks,
Ankur
Comment 3 Grzegorz Witkowski 2011-11-17 19:54:32 EST
I found a temporary solution on my Acer Aspire 5742 (thanks to GusCarracedo for the clue).

[root@aspire backlight]# ls -R /sys/class/backlight/
/sys/class/backlight/:
acpi_video0  intel_backlight

so...

[root@aspire backlight]# cat /sys/class/backlight/intel_backlight/brightness 
976             <- This was an original value I found

[root@aspire backlight]# cat /sys/class/backlight/intel_backlight/max_brightness
976

# echo "400" > /sys/class/backlight/intel_backlight/brightness
...works perfectly fine, as a temporary solution of course.

Changing acpi_video0/brightness had no effect.

Please check this out: https://launchpad.net/~kamalmostafa/+archive/linux-kamal-mjgbacklight
It is for i915 chip (in Aspire 5742 present).
I have intel_backlight, but it looks gnome-power-manager is not updated.

I hope this will help Fedora developers to fix this issue permanently once and for all.
Comment 4 Grzegorz Witkowski 2011-11-17 22:25:54 EST
When trying to decrease brightness with Fn+left arrow in the Xorg.0.log:


[  5726.942] (II) intel(0): EDID vendor "AUO", prod id 8940
[  5726.942] (II) intel(0): Printing DDC gathered Modelines:
[  5726.942] (II) intel(0): Modeline "1366x768"x0.0   69.30  1366 1398 1422 1432  768 771 775 806 -hsync -vsync (48.4 kHz)

Nothing when pressing Fn+right arrow logged in the Xorg log.
Comment 5 Sam Hegarty 2011-11-19 18:48:07 EST
A post on FedoraForum suggested reinstalling bash to try and fix the problem and it seems to work.

I asked about it in the Fedora IRC Channel and was told:
<Samoi> weird, a forum post said to reinstall bash and it actually worked
<EvilBob> Samoi: an update broke something
<EvilBob> Samoi: left */sh out of a file IIRC

Hope this helps.
Comment 6 Dmitriy Kalmykov 2011-11-20 10:21:45 EST
I had the same issue on my Asus K40IJ after upgrading to Fedora 16. I had to install OS with upgrade from DVD for i didn't have enough space on my / to do 'preupgrade'.
I tried all the steps posted above and even more found on the net, but all useless. And then I noticed that my Fedora is loaded by GRUB 2 not original GRUB.
So, you should check that. If so, you may try to do that solved my backlight problem.

Open '/boot/grub2/grub.cfg' for editing.
Ignore the line '# DO NOT EDIT THIS FILE'.
Find the proper bootline which boots your kernel and add 'acpi_backlight=vendor' parameter in kernel options.

The part of my '/boot/grub2/grub.cfg' edited looks like that:

menuentry 'Fedora (3.1.1-2.fc16.x86_64)' --class fedora --class gnu-linux --class gnu --class os {
	load_video
	set gfxpayload=keep
	insmod gzio
	insmod part_msdos
	insmod ext2
	set root='(hd0,msdos1)'
	search --no-floppy --fs-uuid --set=root 8cb738a0-95f4-4fe7-9c42-7d95aa3cc8da
	echo 'Loading Fedora (3.1.1-2.fc16.x86_64)'
	linux	/vmlinuz-3.1.1-2.fc16.x86_64 root=UUID=76b94cf5-3dad-4b63-899e-2c99849fdde3 ro LANG=ru_RU.UTF-8 rd.md=0 rd.lvm=0 rd.dm=0 quiet rhgb rd.luks=0  KEYTABLE=us acpi_backlight=vendor
	echo 'Loading initial ramdisk ...'
	initrd /initramfs-3.1.1-2.fc16.x86_64.img
}
Comment 7 Grzegorz Witkowski 2011-11-20 17:31:36 EST
Dmitriy, 

First class! Your tip works perfectly on Acer 5742 too.

1. You can change the brightness using Fn+arrow keys.
2. It displays the brightness icon with a moving slider at the same time.
3. It changes the value of /sys/class/backlight/intel_backlight/brightness.
4. The slider in System Settings > Screen now works fine as well.

Now:
1. Why it is not included in default installation/upgrade on the laptop and we needed to spent time to find it, where it is a basic functionality on the laptops and should work out of the box?
2. Why it does not work when added to /etc/default/grub to the GRUB_CMDLINE_LINUX= line, where it really should be added (I think)? Actually it should be there already and working.
3. It changes the position of the slider under System Settings > Screen, but you need to change the brightness using function keys, exit the Screen window and return to it to see the changed position. It does not change that slider on "the fly" in the Screen window, but that is just a cosmetic issue, not important.

Expected results: Permanently fix of the laptop screen brightness control.
Fedora/RedHat developers, please analyze this issue and implement a permanent solution.
Comment 8 Ankur Sinha (FranciscoD) 2011-11-21 07:25:56 EST
Hello,

I've added the acpi_backlight=vendor to my grub.cfg, but there isn't any change:

        echo 'Loading Fedora (3.1.0-0.rc9.git0.0.fc16.x86_64)'
        linux   /vmlinuz-3.1.1-2.fc16.x86_64
root=UUID=1b111a1a-a351-45b4-a5c6-3a2fe9843b60 ro rd.md=0 rd.lvm=0 rd.dm=0
KEYTABLE=us quiet SYSFONT=latarcyrheb-sun16 rhgb rd.luks=0 LANG=en_GB.UTF-8
nouveau.modeset=0 rdblacklist=nouveau acpi_backlight=vendor
        echo 'Loading initial ramdisk ...'


I'm using kmod-nvidia drivers from rpmfusion, if that makes a difference. 

Thanks,
Ankur
Comment 9 Michael Colligan 2011-11-29 21:31:23 EST
(In reply to comment #5)
> A post on FedoraForum suggested reinstalling bash to try and fix the problem
> and it seems to work.

I'll be darned.  This actually worked for me.

# yum reinstall bash

fixed the problem for me.
Comment 10 thegrendel.abs 2011-12-01 12:46:06 EST
Well, here's a workaround, if nothing else helps. It's a shell wrapper
for xrandr. Don't know if it actually saves energy like hardware screen
dimming.


#!/bin/bash


OUTPUT="LVDS1"   # LVDS-1 on some displays!
                 # Run xrandr to find out.
INCR=.05
dim=.85
dimmer=.80
dimmest=.75
bright=1

old_brightness=$(xrandr --verbose | grep rightness | awk '{ print $2 }')
### echo $old_brightness


if [ -z "$1" ]
then
  bright=1

  else
    if [ "$1" = "+" ]
    then
      bright=$(echo "scale=1; $old_brightness + $INCR" | bc)

  else
    if [ "$1" = "-" ]
    then
      bright=$(echo "scale=1; $old_brightness - $INCR" | bc)

  else
    bright="$1"  # Usable range from about .7 to maybe 1.2 ...

    fi

  fi
fi


echo "New brightness = $bright"
xrandr --output "$OUTPUT" --brightness "$bright"
Comment 11 thegrendel.abs 2011-12-01 12:51:01 EST
Whoops, forgot usage instructions for previous shell script.

The script accepts a decimal parameter.

sh backlight.sh .85
changes brightness to .85 (1.0 is normal).

sh backlight.sh -
decrements current brightness by .05.

sh backlight.sh +
increments current brightness by .05.



But, hey, feel free to modify & fine-tune the script. It's a
quick-n-dirty back of the napkin fix.
Comment 12 Jiri Moskovcak 2011-12-02 04:43:10 EST
For the nvidia blob adding following line to xorg.conf should help:

Option "RegistryDwords" "EnableBrightnessControl=1"

- but still, with nouveau it doesn't work now and definitely used to few weeks ago
Comment 13 Ankur Sinha (FranciscoD) 2011-12-02 07:33:57 EST
Hello,

I already tried that. It doesn't work :/

[root@ankur ~]# rpm -qa | egrep nvidia
kmod-nvidia-3.1.2-1.fc16.x86_64-290.10-1.fc16.1.x86_64
nvidia-settings-1.0-13.fc16.x86_64
kmod-nvidia-290.10-1.fc16.1.x86_64
xorg-x11-drv-nvidia-290.10-1.fc16.x86_64
akmod-nvidia-290.10-1.fc16.1.x86_64
kmod-nvidia-3.1.1-1.fc16.x86_64-290.06-1.fc16.2.x86_64
kmod-nvidia-3.1.1-2.fc16.x86_64-290.06-1.fc16.3.x86_64
xorg-x11-drv-nvidia-libs-290.10-1.fc16.i686
xorg-x11-drv-nvidia-libs-290.10-1.fc16.x86_64
nvidia-xconfig-1.0-11.fc16.x86_64
[root@ankur ~]#

Xorg.conf attached.
Comment 14 Ankur Sinha (FranciscoD) 2011-12-02 07:34:51 EST
Created attachment 539610 [details]
xorg.conf with "EnableBrightness...." option included.
Comment 15 mfohler 2011-12-04 07:26:42 EST
Same for me as in post #9
Comment 16 gene smith 2011-12-18 15:12:40 EST
(In reply to comment #7)
> 2. Why it does not work when added to /etc/default/grub to the
> GRUB_CMDLINE_LINUX= line, where it really should be added (I think)? Actually
> it should be there already and working.

It works for me when I put it there. I think you have to run this:

su -c "grub2-mkconfig > /boot/grub2/grub.cfg"

then reboot. Anyhow, thanks for the good information. Been wondering why I had no brightness controls for some time on hp dv7-6195 laptop.
Comment 17 Brent R Brian 2011-12-19 06:28:09 EST
Acer Aspire using intel drivers:

# works
# echo "400" > /sys/class/backlight/intel_backlight/brightness
# /sys/class/backlight/intel_backlight/brightness == 0 on boot

# does not work
# reinstalling bash

# does not work - adding this kernel parm
# acpi_backlight=vendor
Comment 18 Arangamanikkannan Manickam 2011-12-22 01:24:12 EST
Both "yum reinstall bash" and " echo 3 > /sys/class/backlight/acpi_video0/brightness" didn't work for me.
Comment 19 Srinivasa Sha S R 2012-01-01 01:36:27 EST
I have the same issue. I solved it by adding acpi_backlight=vendor to grub. But when I use Fn+Right Arrow to increase brightness I can see an icon appearing with moving slide indicating a display brightness increase but brightness decreases and whith Fn+Left Arrow it Increases. I am using Acer Aspire 4736Z. Is this relate to this issue. Any ideas on how to correct it.
Comment 20 Brent R Brian 2012-01-04 09:46:18 EST
Acer Aspire 5734Z-4836 with Intel drivers

Kernel parms
xdriver=intel acpi_backlight=vendor

does work ... partially ... 

No backlight for splash screen.

Login screen has backlight, until password is entered.

Using the [Fn] < / > brightness works once the desktop is present.

The brightness button [Fn] < makes the brightness icon appear on screen, but causes the "progress bar" to diminish as the brightness increases, such that

[xxxxx-------] is physically dimmer
[x-----------] is physically brighter

It is as though the progress bar indicates how DIM the screen is ...
Comment 21 Bertran 2012-01-23 00:41:08 EST
'yum reinstall bash' worked for me as well on a Sony VAIO.
Comment 22 lejeczek 2012-01-25 16:48:59 EST
hp elitebook 8440p also, it was clean-fresh-new installation that suffered from this problem - yum reinstall bash - fixes it
Comment 23 Jon Lund Steffensen 2012-01-31 08:19:21 EST
Adding "acpi_backlight=vendor acpi_osi=linux" to kernel parameters fixes this for me on an Asus UL80V.
Comment 24 Brent R Brian 2012-02-02 09:06:01 EST
Created attachment 559056 [details]
brightest backlight setting

At the brightest backlight setting, the icon shows minimal on slider
Comment 25 Brent R Brian 2012-02-02 09:07:33 EST
Created attachment 559057 [details]
dimmest backlight setting

At the dimmest backlight setting, the icon shows maximum on slider
Comment 26 nuovodna 2012-02-12 08:28:52 EST
Reinstalling bash works here.

Using Sony Vaio + Nvidia GT 320M + nvidiabl module and some scripts placed in /etc/acpi/ folder to modify /sys/class/backlight/nvidia_backlight/brightness with shortkeys

I used a guide written in this forum

http://shiba89.wordpress.com/2010/10/28/screen-backlight-on-sony-vaio-vpcs11e7e-with-ubuntu-10-04/
Comment 27 Arangamanikkannan Manickam 2012-02-14 05:30:09 EST
Re-installing bash worked this time to me. I had installed kmod-nvidia from fedora repository and re-installing bash with that module didn't work. 

I tried installing the driver downloaded from Nvidia website and then re-installed bash, and boom it worked. God I can save my battery!
Comment 28 Saman Barghi 2012-02-16 02:11:29 EST
I had the same issue and adding "acpi_backlight=vendor acpi_osi=linux" to grub.cfg for grub2 fixed the problem under fedora 16.
Comment 29 Claudio Guirunas 2012-02-20 20:55:51 EST
Nvidia Driver:
$ lspci |grep -i VGA
01:00.0 VGA compatible controller: nVidia Corporation G98M [GeForce G105M] (rev a2)


I  installed driver from site nvidia (download file: NVIDIA-Linux-x86_64-295.20.run) and, later, I run 'yum reinstall bash'.
Is work's
The control of brightest backlight is work normally.
Comment 30 Maix 2012-03-07 17:55:54 EST
@Claudio Guirun
That fix worked for me :D on hp pavilion g4


(In reply to comment #3)
> I found a temporary solution on my Acer Aspire 5742 (thanks to GusCarracedo for
> the clue).
> 
> [root@aspire backlight]# ls -R /sys/class/backlight/
> /sys/class/backlight/:
> acpi_video0  intel_backlight
> 
> so...
> 
> [root@aspire backlight]# cat /sys/class/backlight/intel_backlight/brightness 
> 976             <- This was an original value I found
> 
> [root@aspire backlight]# cat
> /sys/class/backlight/intel_backlight/max_brightness
> 976
> 
> # echo "400" > /sys/class/backlight/intel_backlight/brightness
> ...works perfectly fine, as a temporary solution of course.
> 
> Changing acpi_video0/brightness had no effect.
> 
> Please check this out:
> https://launchpad.net/~kamalmostafa/+archive/linux-kamal-mjgbacklight
> It is for i915 chip (in Aspire 5742 present).
> I have intel_backlight, but it looks gnome-power-manager is not updated.
> 
> I hope this will help Fedora developers to fix this issue permanently once and
> for all.
Comment 31 Pavlo Rudyi 2012-03-14 10:31:34 EDT
In my laptop (Dell Inspiron 6400, ATI M 1400) fix this problem is the reinstall bash.
Comment 32 bugzilla_rep 2012-04-12 08:23:05 EDT
I'm running kernel version Linux 3.3.1-3.fc16.x86_64 and Xfce 4.8 desktop environment (among others). On my laptop (HP EliteBook 8560p, AMD Radeon HD 6470M) I can move the brightness slider with fn+F9 and fn+F10, but nothing happens. If I boot to KDE, I can also try to change the brightness via power management, but the results are equally disappointing. I've tried:

-to reinstall bash with "yum reinstall bash" -> no effect
-adding "acpi_backlight=vendor" and "acpi_backlight=vendor acpi_osi=linux" to /boot/grub2/grub.cfg -> fn+F9 and fn+F10 no longer brings up the brightness slider and the brightness doesn't change.

There is no xorg.conf-file on my filesystem and no intel_backlight-directory in /sys/class/backlight. Since apparently there are no working ATI/AMD-drivers for F16 (or so I've read), I haven't even tried to install them.

Any tips? Have I missed some trick that could help? I would like to get the brightness adjustment working like it should - that is, with the fn+F9 and fn+F10.
Comment 33 Herych Oleg 2012-05-19 08:37:37 EDT
Laptop: HP pavilion dv6 3155sr
Fedora 16

I have added "video.brightness_switch_enabled=1" into /etc/default/grub (GRUB_CMDLINE_LINUX or GRUB_CMDLINE_LINUX_DEFAULT option). After that i run "grub2-mkconfig -o /boot/grub2/grub.cfg"

My "/etc/default/grub" file:
GRUB_TIMEOUT=5
GRUB_DISTRIBUTOR="Fedora"
GRUB_DEFAULT=saved
GRUB_CMDLINE_LINUX="rd.md=0 rd.lvm=0 rd.dm=0  KEYTABLE=us quiet SYSFONT=latarcyrheb-sun16 rhgb rd.luks=0 LANG=en_US.UTF-8 video.brightness_switch_enabled=1"
Comment 34 Scott R. Godin 2012-06-06 11:00:49 EDT
Gateway NV57H43u here. backlight adjustment from control panel or media-keys works in Windows but neither method works in Fedora

tried yum reinstall bash, from above with no joy.

noticed that echoing values into /sys/class/backlight/intel_backlight/brightness DID work, and added acpi_backlight=vendor to kernel boot string, which results in working backlight adjustability. 

have not yet noticed any excessive heat or higher-than-usual fan usage
Comment 35 Grzegorz Witkowski 2012-06-06 18:28:58 EDT
Same problem in Fedora 17 and again the fix with "acpi_backlight=vendor" in /boot/grub2/grub.cfg works. Actually, based on all the feedback it looks it is a working fix for Intel based video cards. 
I still have no clue why it  is not fixed yet in Fedora... It should work out-of-the-box.
Comment 36 Dashing Meng 2012-06-08 02:20:03 EDT
Hi,

If it doesn't work by adding some things like "acpi_backlight=vendor", "acpi_osi=linux" to the kernel parameters just like me, you can try the way below.

I think it is a easy and least effect to the existed things' way for adjusting intel_backlight using udev rules.

I noticed "change" action of "backlight" subsystem when I press Fn + PgUp/PgDn on my lenovo G360 + 3.2 Kernel notebook. So I wrote a rules of "/etc/udev/rules.d/99-writeintelbacklight.rules" as below:

    ACTION=="change", SUBSYSTEM=="backlight", RUN+="/usr/sbin/writeintelbacklight.sh"

A shell: "/usr/sbin/writeintelbacklight.sh"

    #!/bin/bash
    
    intelmaxbrightness=`cat /sys/class/backlight/intel_backlight/max_brightness`
    acpimaxbrightness=`cat /sys/class/backlight/acpi_video0/max_brightness`
    scale=`expr $intelmaxbrightness / $acpimaxbrightness`
    acpibrightness=`cat /sys/class/backlight/acpi_video0/brightness`
    newintelbrightness=`expr $acpibrightness \* $scale`
    curintelbrightness=`cat /sys/class/backlight/intel_backlight/actual_brightness`
    if [ "$newintelbrightness" -ne "$curintelbrightness" ]
    then
      echo $newintelbrightness > /sys/class/backlight/intel_backlight/brightness
    fi
    exit 0

Of course, you need do a "sudo chmod +x /usr/sbin/writeintelbacklight.sh
Comment 37 Jiří Martínek 2012-06-11 06:19:36 EDT
Hi, for me it had worked since clean install of F17 KDE 64bit till last update on 120611. Among others it updated opensource ati driver and bash. I added all three (acpi_backlight=vendor acpi_osi=linux video.brightness_switch_enabled=1) to /etc/default/grub and did #grub2-mkconfig -o /boot/grub2/grub.cfg
It works now.
Sony Vaio vgn-sr49vn with ati radeon hd 3400 series
Comment 38 Dashing Meng 2012-06-11 19:07:40 EDT
Yes, it's true, add "acpi_backlight=vendor acpi_osi=linux video.brightness_switch_enabled=1" into kernel parameters, "Fn + Up/Down" to change brigtness works on my G360. It's no need to write a Udev rules like above.
Thanks.
Comment 39 Dashing Meng 2012-06-22 00:09:28 EDT
It seems adding only one kernel parameter "acpi_backlight=vendor" still works on my G360 now. But, both methods of adding kernel parameters will stop work occasionly.

The detail of my case see:
Bug 44809 - [Arrandale backlight] Brightness via RANDR has no effect on Sony VAIO VPCYA1V9E: https://bugs.freedesktop.org/show_bug.cgi?id=44809
Comment 40 Michael Duvall 2012-07-23 18:17:35 EDT
Installed FC17 x86_64 on a Dell M90, followed by 'yum update'.  With the 3.4.6-2 kernel the backlight flickers during boot, then the screen is basically unusable in a lighted room.  However, when rebooting to the 3.3.4-5 kernel, the screen works well.

acpi_backlight=vendor and acpi_osi=linux boot parameters have no effect.

This is a 'virgin' installation of FC17 with only updates applied.  I will be happy to provide any further information requested to assist with debugging this issue.
Comment 41 Artur Flinta 2012-07-30 05:45:14 EDT
(In reply to comment #32)
> I'm running kernel version Linux 3.3.1-3.fc16.x86_64 and Xfce 4.8 desktop
> environment (among others). On my laptop (HP EliteBook 8560p, AMD Radeon HD
> 6470M) I can move the brightness slider with fn+F9 and fn+F10, but nothing
> happens. If I boot to KDE, I can also try to change the brightness via power
> management, but the results are equally disappointing. I've tried:

On my Elitebook 8560w with AMD GPU I have also this problem. I have confirmation form two sources that patches published by Alex Deucher should solve this issue:
http://lists.freedesktop.org/archives/dri-devel/2012-July/025517.html
Comment 42 Iceman 2012-08-31 18:57:37 EDT
Dashing Meng, really thank you for your codes: udev/shellscript. they save me a lot of time wasted thru webite.
I have an Intel HD Graphics 4000 over Ubuntu 12.04 and your script was exactly what i am searching for. You "scaling" thru acpi and intel is really nice and clean (obvious to think, not so easily to implement)
Comment 43 Brent R Brian 2012-09-03 10:45:58 EDT
Just installed F17 on the same laptop as before.

Acer Aspire 5734Z-4836 with Intel drivers

Kernel parms
xdriver=intel acpi_backlight=vendor

Put this in file S00backlight and placed it in /etc/rc2.d
echo "400" > /sys/class/backlight/intel_backlight/brightness
exit 0

Backlight comes on during init.

Using the [Fn] < / >  does show the brightness control, but changing the brightness does nothing.  The control is reversed ... pressing the button to INCREASE brightness makes the control indicate a DECREASE in brightness.
Comment 44 Brent R Brian 2012-09-03 12:10:11 EDT
Acer Aspire 5734Z-4836 with Intel drivers

After the updates loaded the kernel parms and echo > /sys is no longer needed.

The backlight control does not work, but the default intensity is acceptible.
Comment 45 Ankur Sinha (FranciscoD) 2012-09-04 05:02:27 EDT
I'm now on kernel 

Linux ankur.pc 3.5.3-1.fc17.x86_64 #1 SMP Wed Aug 29 18:46:34 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux


I have an NVIDIA graphics card, using the default nouveau driver. 

Backlight still doesn't work :/

I've added the various kernel parameters listed above. No change. 

Using the function keys does indeed modify the value in /sys/class/backlight/brightness, however there is no actual change in the backlight.

Thanks,
Ankur
Comment 46 nucleo 2012-10-11 06:53:46 EDT
Backlight keys works fine with acpi_backlight=vendor kernel parameter on eeepc x101ch with 3.5.x kernels but don't work in 3.6 kernels (but brightness can be changed in KDE power control widget).

When pressing BRTDN/BRTUP keys:

acpi_listen output with 3.5.x kernels:
video/brightnessdown BRTDN 00000087 00000000
 PNP0C14:00 000000d2 00000000
video/brightnessup BRTUP 00000086 00000000
 PNP0C14:00 000000d2 00000000

acpi_listen output with 3.6.1 kernel:
 PNP0C14:00 000000d2 00000000
 PNP0C14:00 000000d2 00000000
Comment 47 bal711 2012-10-22 08:46:50 EDT
kernel: 3.6.2-4.fc17.x86_64
Have tried:
* default nouveau clean install
* akmod-nvidia driver/kernel
* acpi_backlight=vendor acpi_isolinux=vendor in grub.cfg
* echoing chnages to /sys/class/backlight
* yum reinstall bash

Nothing has worked...except the 3.2 kernel. =)
Comment 48 bal711 2012-10-22 08:49:06 EDT
Oh, yes, also tried:
* Option "RegistryDwords" "EnableBrightnessControl=1" in /etc/X11/xorg.conf and nvidia-xorg.conf
* xbacklight (http://linux.die.net/man/1/xbacklight)
Comment 49 Brent R Brian 2012-10-23 13:57:19 EDT
This is a copy of #752727

# uname -a
Linux brent-acer-laptop.localdomain 3.6.2-4.fc17.x86_64 #1 SMP Wed Oct 17 02:43:21 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

This kernel still has the problem ... control will reflect adjustment (indicator gets longer/shorter with change), but no change in the backlight intensity.
Comment 50 tfranklin522 2012-10-25 02:40:45 EDT
I am having this same issue on my Asus G75VW. I have tried all of the fixes on this page to no avail.

When I first start the system, the Fn + F5/F6 keys will not control the brightness. The only way to dim the screen is using the Nvidia settings.

If I suspend the system, the Fn + F5/F6 keys 'magically' start working, yet there is no graphical display like when using the other Fn keys. Also, the brightness randomly jumps to max, where using the Fn keys will correct it.

Any help would be greatly appreciated!!!
Comment 51 Michael Duvall 2012-10-25 09:23:30 EDT
It appears to me that this bug is being ignored by the developer community.  There may be another report (duplicate bug), but I have had no success locating anything.  I'm "stuck" running a 3.3 kernel.  If anyone here has found a solution, please comment.  Again, I will be happy to provide more information to anyone that is willing to work on a fix.  I have a removeable hard drive on my laptop that I can swap out and volunteer to test any patches or work arounds suggested.
Comment 52 Rex Dieter 2012-11-10 14:52:48 EST
the problem is that this bug has been assigned to the wrong component, "acpi" is command-line tool, which almost certainly has little to do with the symptoms reported here.  more likely it has to do with kernel (due to the need to specify acpi_backlight=vendor kernel boot param).

reassigning
Comment 53 Fedora End Of Life 2013-01-16 09:30:53 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 54 Artur Flinta 2013-01-16 09:49:28 EST
This bug seems to be finally fixed in F18, mainly thanks to updated Radeon support in Kernel 3.7 series.
Comment 55 Jon Lund Steffensen 2013-03-12 21:35:03 EDT
Still not fixed in F18 for my laptop with intel driver. The workaround in #23 still works though.
Comment 56 Kevin Daly 2013-03-15 08:16:33 EDT
This may be helpful.. I found this makes everything work really well..

http://lists.fedoraproject.org/pipermail/power-management/2013-March/000092.html

It's only for Fedora 18, but this might help others
Comment 57 raffamaiden 2013-04-29 10:57:04 EDT
I have Fedora 18 KDE and this bug is not fixed.

Upgrading\reinstalling bash did not work. I have bash in /etc/shell

echo 10 > /sys/class/backlight work, but have to do it every time

set acpi_backlight=vendor in grub.cfg make the brightness at maximum, but the button in the keyboards to change the brightness still does not work.
Comment 58 Grzegorz Witkowski 2013-07-30 17:34:10 EDT
Still does not work in Fedora 19.
Brightness control works via Settings, but not when using function keys on keyboard.
Comment 59 Nimrod Omer 2013-08-18 04:34:45 EDT
Fedora 19, Asus X201E. Initially everything worked out of the box. Then I personalized my machine with a host of packages, etc., restarted, and the backlight went out.

Attempted to solve by:
* Reinstalling BASH (fail)
* Setting acpi_backlight=vendor in grub.cfg (fail)

I really, really don't want to have to go through the PITA of personalizing my machine again, so going back to vanilla & systematically debugging does not appeal.

Still, I'd love to help solve this. Just let me know how I can help.
Comment 60 itsmenarutokun 2013-08-31 03:03:01 EDT
'yum reinstall bash' worked for me. Config: Sony VAIO VGN series, fedora 16
Comment 61 Nimrod Omer 2013-09-01 03:25:29 EDT
(In reply to Nimrod Omer from comment #59)
> Attempted to solve by:
> * Reinstalling BASH (fail)
> * Setting acpi_backlight=vendor in grub.cfg (fail)

Followed the instructions from [comment 6](https://bugzilla.redhat.com/show_bug.cgi?id=753012#c6) a bit more closely. Everything works hunky dory now.

(...I feel like I owe someone an apology...)

Thanks!
Comment 62 Scott R. Godin 2013-09-02 05:55:25 EDT
recently noticed that the backlight was dimming during inactivity on my Gateway NV57H43u and while I had long ago added acpi_backlight=vendor to the kernel boot params, (which had worked initially), that had not worked in a while. 

and yet here was my backlight, seemingly capable of dimming on its own. So I retested the kb buttons. nothing. hmm. checked the values in/sys/class/backlight/intel_backlight/brightness  and LO! they were changing during the auto dimming. dobule hmm.. 

checked around a bit more and then tried also adding acpi_osi=Linux to the kernel boot params. Bingo! now I can dim the display from the keyboard again, however the overlay indicator showing the current brightness level as it is changed does not appear.
Comment 63 Rubén 2013-11-21 13:17:29 EST
Samsung NP300E

The only thing that worked for me was echoing to /sys/class/backlight/intel_backlight/brightness. At first I was on Fedora19, but I can also confirm exactly the same symptoms for Fedora20beta5.

I can also say that Ubuntu 13.04 and 13.10 both had this feature working out of the box.
Comment 64 Rubén 2013-11-21 13:46:23 EST
Just tried Fedora20beta5 with GNOME (previously it was always LXDE), and eveything seems to work fine!
Comment 65 Stefan Joosten 2014-01-22 11:53:48 EST
I still experienced this bug in Fedora 20. The problem seems to be quite hardware specific. Here's how I fixed it for me, on a Sony laptop, but this might help others.

I had two backlight devices after installing Fedora 20:
 /sys/class/backlight/acpi_video0/
 /sys/class/backlight/intel_backlight/

Writing a value to /sys/class/backlight/intel_backlight/brightness by hand did work, while acpi_video0/brightness did not work. X seems to prefer acpi_video0 over intel_backlight.

Adding "acpi_backlight=vendor" and "acpi_osi=Linux" did not solve the issue. This removed /sys/class/backlight/acpi_video0/ , which is probably why it helps for most, but on my system it added /sys/class/backlight/sony. This is a Sony Vaio Y laptop, and I guess this device got created by the "sony_laptop" module. 
Unfortunatly, that device could also not change my backlight, only the intel_backlight one. But now X seemed to prefer the sony device... Grmbl.
For other laptops with a "vendor-specific" module in the kernel, this might cause similar issues.

What I did to fix it was tell the X "intel" driver what "Backlight" to use, by creating a small config file.

I created '/etc/X11/xorg.conf.d/20-intel.conf' and filled it with:
	
    Section "Device"
            Identifier  "card0"
            Driver      "intel"
            Option      "Backlight"  "intel_backlight"
            BusID       "PCI:0:2:0"
    EndSection

Restarted the machine and now I could change my brightness using the GNOME brightness slider and my Fn+F5/F6 keys.

Hope this helps someone :-)
Comment 66 Rubén 2014-01-22 13:06:14 EST
Everything worked well out of the box right after kernel 3.12.x update on Fedora20 final.
Comment 67 Dario Di Nucci 2014-01-29 13:45:19 EST
This workaround worked also for me on Sony T13.

Thanks Stefan!


(In reply to Stefan Joosten from comment #65)
> I still experienced this bug in Fedora 20. The problem seems to be quite
> hardware specific. Here's how I fixed it for me, on a Sony laptop, but this
> might help others.
> 
> I had two backlight devices after installing Fedora 20:
>  /sys/class/backlight/acpi_video0/
>  /sys/class/backlight/intel_backlight/
> 
> Writing a value to /sys/class/backlight/intel_backlight/brightness by hand
> did work, while acpi_video0/brightness did not work. X seems to prefer
> acpi_video0 over intel_backlight.
> 
> Adding "acpi_backlight=vendor" and "acpi_osi=Linux" did not solve the issue.
> This removed /sys/class/backlight/acpi_video0/ , which is probably why it
> helps for most, but on my system it added /sys/class/backlight/sony. This is
> a Sony Vaio Y laptop, and I guess this device got created by the
> "sony_laptop" module. 
> Unfortunatly, that device could also not change my backlight, only the
> intel_backlight one. But now X seemed to prefer the sony device... Grmbl.
> For other laptops with a "vendor-specific" module in the kernel, this might
> cause similar issues.
> 
> What I did to fix it was tell the X "intel" driver what "Backlight" to use,
> by creating a small config file.
> 
> I created '/etc/X11/xorg.conf.d/20-intel.conf' and filled it with:
> 	
>     Section "Device"
>             Identifier  "card0"
>             Driver      "intel"
>             Option      "Backlight"  "intel_backlight"
>             BusID       "PCI:0:2:0"
>     EndSection
> 
> Restarted the machine and now I could change my brightness using the GNOME
> brightness slider and my Fn+F5/F6 keys.
> 
> Hope this helps someone :-)
Comment 68 Jorge Meneses 2014-01-29 13:58:16 EST
I can confirm that this workarround fix my Dell Studio 1558. Thanks!
Comment 69 Valent Turkovic 2014-04-04 12:29:24 EDT
I have issue with backlight on Toshiba C55-A-1RG, it just turns off on Fedora 20 Live DVD beyond grub menu, as it starts booting.

Editig grub and adding "nomodeset" to kernel paremeters keeps backlight working and I can install Fedora with no issues.
Comment 70 Valent Turkovic 2014-04-04 13:04:29 EDT
Should this bug be reopenned or should I open a new bug if this is something specific only to Toshiba C55-A-1RG?

Which log files do you need in order to make Fedora 21 work out-of-the-box with Toshiba C55-A-1RG? dmesg? xorg?
Comment 71 Valent Turkovic 2014-04-05 03:41:44 EDT
With "nomodeset" enabled only vesa driver was loaded so it was really slow, but after doing full system update there was no more need for "nomodeset", backligh worked with updated kernel drivers.
Comment 72 markusN 2014-04-16 18:54:33 EDT
(In reply to Stefan Joosten from comment #65)
> I created '/etc/X11/xorg.conf.d/20-intel.conf' and filled it with:
> 	
>     Section "Device"
>             Identifier  "card0"
>             Driver      "intel"
>             Option      "Backlight"  "intel_backlight"
>             BusID       "PCI:0:2:0"
>     EndSection
> 
> Restarted the machine and now I could change my brightness using the GNOME
> brightness slider and my Fn+F5/F6 keys.
> 
> Hope this helps someone :-)

Yes, helps also for Fedora 20, XFCE on Asus X202E. Thanks!
Comment 73 Jonantan 2014-04-24 19:05:17 EDT
Works on Sony Vaio VPCEA24fm too! Thanks




(In reply to Dario Di Nucci from comment #67)
> This workaround worked also for me on Sony T13.
> 
> Thanks Stefan!
> 
> 
> (In reply to Stefan Joosten from comment #65)
> > I still experienced this bug in Fedora 20. The problem seems to be quite
> > hardware specific. Here's how I fixed it for me, on a Sony laptop, but this
> > might help others.
> > 
> > I had two backlight devices after installing Fedora 20:
> >  /sys/class/backlight/acpi_video0/
> >  /sys/class/backlight/intel_backlight/
> > 
> > Writing a value to /sys/class/backlight/intel_backlight/brightness by hand
> > did work, while acpi_video0/brightness did not work. X seems to prefer
> > acpi_video0 over intel_backlight.
> > 
> > Adding "acpi_backlight=vendor" and "acpi_osi=Linux" did not solve the issue.
> > This removed /sys/class/backlight/acpi_video0/ , which is probably why it
> > helps for most, but on my system it added /sys/class/backlight/sony. This is
> > a Sony Vaio Y laptop, and I guess this device got created by the
> > "sony_laptop" module. 
> > Unfortunatly, that device could also not change my backlight, only the
> > intel_backlight one. But now X seemed to prefer the sony device... Grmbl.
> > For other laptops with a "vendor-specific" module in the kernel, this might
> > cause similar issues.
> > 
> > What I did to fix it was tell the X "intel" driver what "Backlight" to use,
> > by creating a small config file.
> > 
> > I created '/etc/X11/xorg.conf.d/20-intel.conf' and filled it with:
> > 	
> >     Section "Device"
> >             Identifier  "card0"
> >             Driver      "intel"
> >             Option      "Backlight"  "intel_backlight"
> >             BusID       "PCI:0:2:0"
> >     EndSection
> > 
> > Restarted the machine and now I could change my brightness using the GNOME
> > brightness slider and my Fn+F5/F6 keys.
> > 
> > Hope this helps someone :-)
Comment 74 aten 2014-05-10 11:33:54 EDT
(In reply to Stefan Joosten from comment #65)

Stefan, thanks a bunch! Your method is the only thing that worked on my Lenovo Thinkpad X230T (F20). Same story here -- two brightness devices: intell and thinkpad_screen. The system prefers thinkpad, however

$ cat /sys/class/backlight/thinkpad_screen/brightness 

return "0", regardless of the actual brightness. 

I was able to controll the brightness manually from terminal through the intell device. Afther creating the config file according to your instructions, I got my hardware brightness controll buttons back! The only drawback is that brightness increment with each button press is a bit too large: only 5 steps on the entire scale, and the lowest setting turns off the screen competely. But I can live with that for now. 
 
 

> I still experienced this bug in Fedora 20. The problem seems to be quite
> hardware specific. Here's how I fixed it for me, on a Sony laptop, but this
> might help others.
> ...
> 
> Hope this helps someone :-)

it totally did! 
Thanks again

Note You need to log in before you can comment on or make changes to this bug.